Bug 1014133 - mtr package should enable hardened build
mtr package should enable hardened build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 09:01 EDT by Michal Sekletar
Modified: 2013-10-18 15:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: mtr-0.84-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018907 (view as bug list)
Environment:
Last Closed: 2013-10-15 02:40:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2013-10-01 09:01:27 EDT
Description of problem:
mtr is binary with CAP_NET_RAW saved in filesystem. According to Fedora policy, packages shipping suid or binaries with capabilities should enable hardened build.

Version-Release number of selected component (if applicable):
mtr-0.84-2

How reproducible:
always


Steps to Reproduce:
1. rpm-chksec mtr && rpm-chksec mtr-gtk

Actual results:
no relro, no pie


Expected results:
full relro, pie
Comment 1 Fedora Update System 2013-10-08 10:43:39 EDT
mtr-0.84-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mtr-0.84-3.fc19
Comment 2 Fedora Update System 2013-10-08 10:49:56 EDT
mtr-0.85-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mtr-0.85-3.fc20
Comment 3 Fedora Update System 2013-10-09 10:51:49 EDT
Package mtr-0.85-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mtr-0.85-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18584/mtr-0.85-3.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-15 02:40:48 EDT
mtr-0.85-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-18 15:56:58 EDT
mtr-0.84-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.